#
# spec file for package python-zope.configuration
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zope.configuration
Version:        4.1.0
Release:        lp152.3.3
Summary:        Zope Configuration Markup Language (ZCML)
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://www.python.org/pypi/zope.configuration
Source:         https://files.pythonhosted.org/packages/source/z/zope.configuration/zope.configuration-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module zope.i18nmessageid}
BuildRequires:  %{python_module zope.interface}
BuildRequires:  %{python_module zope.schema}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-zope.i18nmessageid
Requires:       python-zope.interface
Requires:       python-zope.schema
BuildArch:      noarch
%python_subpackages

%description
The zope configuration system provides an extensible system for supporting
various kinds of configurations.

It is based on the idea of configuration directives. Users of the configuration
system provide configuration directives in some language that express
configuration choices. The intent is that the language be pluggable. An XML
language is provided by default.

%prep
%setup -q -n zope.configuration-%{version}
rm -rf zope.configuration.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Sun Jul 16 2017 aloisio@gmx.com
- Update to version 4.1.0
  * Drop support for Python 2.6 and 3.2.
  * Add support for Python 3.5 and 3.6.
  * Fix the domain of MessageID fields to be a native string.
    Previously on Python 3 they were bytes, which meant that they
    couldn’t be used to find translation utilities registered by
    zope.i18n. See issue 17.
- Split docs and tests into separate -doc package since running
  tests and sometimes building docs had become very messy.
  Also see (gh#/zopefoundation/zope.proxy#18)
- Converted to single-spec
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.0.3:
  * Added explicit support for Python 3.4.
- point the source URL to pypi
- add fdupes as BuildRequires and call it after install
- pass -q to the test to avoid spamming the build log
- rename CHANGES.txt to CHANGES.rst: changed upstream
- rename README.txt to README.rst: changed upstream
* Mon Jul 29 2013 hpj@urpla.net
- version 4.0.2: initial build
